package sound;

/** An interface for sound transformations.
 * The sounds are represented by arrays
 * of nonnegative integers.
 * @author theo
 *
 */
public interface SoundTansformIntf {
	
	/** Do the transformation.
	 * Each implementation should not 
	 * change the contents of the clip
	 * array.  It should create a new
	 * array that will contain the transformed
	 * data.
	 * 
	 * @param clip
	 * @return A transformed version of the clip.
	 */
	int[] doTransform( int[] clip ) ;
}
